[Unit]
Description=CFEngine Enterprise Webserver
After=syslog.target
Wants=cf-php-fpm.service
After=cf-php-fpm.service
ConditionPathExists=/var/cfengine/httpd/bin/apachectl
PartOf=cfengine3.service

[Service]
Type=forking
ExecStart=/var/cfengine/httpd/bin/apachectl start
ExecStop=/var/cfengine/httpd/bin/apachectl stop
ExecReload=/var/cfengine/httpd/bin/apachectl graceful
PIDFile=/var/cfengine/httpd/httpd.pid
Restart=always
RestartSec=10
UMask=0177

[Install]
WantedBy=multi-user.target
